Bug 128955 - Nautilus has no "Add Network Place" object
Nautilus has no "Add Network Place" object
Product: Fedora
Classification: Fedora
Component: gnome-user-docs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2004-08-01 21:56 EDT by J.B. Nicholson-Owens
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-06 06:03:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J.B. Nicholson-Owens 2004-08-01 21:56:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The documentation for Nautilus that comes with Fedora Core 2 says that
one can make an FTP network place by double-clicking an object called
"Add Network Place".  Fedora Core 2 doesn't appear to include this
object.  Without it users might not know that they can make an FTP
network location in the format of
"ftp://user:password@host:port/path".  This also strikes me as very
bad because it means typing one's password in the clear so onlookers
can easily see what someone's password is just by looking over their

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Read the documentation for:

     A Tour of the GNOME Desktop ->
        Nautilus File Manager ->
            Navigating Your Computer

2. Try following the directions to "Add Network Place".

3. Discover that that icon or object is missing.

Actual Results:  Nothing, because the icon is missing and the
workaround is unacceptably insecure.

Expected Results:  The documentation should have matched the program,
or the program should have matched the documentation.

The network panel described in the docs sounds like a good idea for FC
to include.
Comment 1 Alexander Larsson 2004-08-26 08:59:41 EDT
The docs are documenting an sun-specific patch unfortunately. 

To do something like this, use file -> connect to server.
Comment 2 J.B. Nicholson-Owens 2004-08-30 03:34:19 EDT
I don't understand how this is not a bug.

Regardless of this being a mismatch due to a patch, the docs and
program's behavior do not match.

The File -> Connect to server... panel requires a URL which exposes
one's password to onlookers (in the event of using a non-anonymous FTP
site, for instance).

It seems clear to me that these are indeed bugs.  Are these bugs filed
against the wrong package?  If so, what are the right packages?  Are
they filed in the wrong bugzilla?  Better to file them in which other
bugzilla?  Please do provide more details how this is not a bug.
Comment 3 Alexander Larsson 2004-09-02 08:03:09 EDT
The password doesn't need to be in the uri. You'll get asked later for
it (in rawhide at least). 

I guess the bug is in the docs, so i'll reassing it to the docs package.
Comment 4 Marco Pesenti Gritti 2004-11-06 06:03:41 EST


Note You need to log in before you can comment on or make changes to this bug.